Archived

This topic is now archived and is closed to further replies.

fakeflyer737

Are you worried?3d

Recommended Posts

Does anyone know if current FSX addons we pruchase are going to work in Prepar3d 2.0? I mean over the past year I've spent over $500 in addons and I hate to not use them with a new platform but I am getting sick of FSX's VAS limit and I'm ready to swtich when the time comes. What are your thoughts on backwards compatiblity with a new platform?

Cheers!

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Not going to count any chickens yet. Lets wait and see how Prepare3D turns out first.

Share this post


Link to post
Share on other sites

Most, if not all, FSX add-ons are said to work with P3D 1.4, so I guess not much is about to change for 2.0.

 

The only thing making a fuss about the difference between FSX and P3D is installers.

Share this post


Link to post
Share on other sites

Does anyone know if current FSX addons we pruchase are going to work in Prepar3d 2.0? I mean over the past year I've spent over $500 in addons and I hate to not use them with a new platform but I am getting sick of FSX's VAS limit and I'm ready to swtich when the time comes. What are your thoughts on backwards compatiblity with a new platform?

 

Cheers!

 

LM has confirmed that P3D 2.0 will have backwards compatibility. But the BETA isn't over so noone knows at this stage what features and upgrades 2.0 RTM will contain.

Share this post


Link to post
Share on other sites